#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	system_sqlite3	# don't use system sqlite3
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	SQLite
Summary:	DBD::SQLite - Self Contained RDBMS in a DBI Driver (sqlite 3.x)
Summary(pl.UTF-8):	DBD::SQLite - Kompletny RDBMS zawarty w sterowniku DBI (sqlite 3.x)
Name:		perl-DBD-SQLite
Version:	1.39
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8ca0719852fcbcbbee470c705eeff24a
URL:		http://search.cpan.org/dist/DBD-SQLite/
BuildRequires:	perl-DBI >= 1.57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_system_sqlite3:BuildRequires:	sqlite3-devel >= 3.6.0}
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Simple >= 0.86
%endif
%{?with_system_sqlite3:Requires:	sqlite3 >= 3.6.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::SQLite is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
<http://www.sqlite.org/>.

Rather than ask you to install SQLite first, DBD::SQLite includes the
entire thing in the distribution. So in order to get a fast
transaction capable RDBMS working for your perl project you simply
have to install this module, and nothing else.

To use databases created using older SQLite version (2.x) you should
use perl-DBD-SQLite2 package.

%description -l pl.UTF-8
DBD::SQLite to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Można go znaleźć pod
adresem <http://www.sqlite.org/>.

DBD::SQLite zawiera w sobie cały silnik bazy danych. Dzięki temu aby
otrzymać działający RDBMS dostępny z poziomu Perla nie trzeba
instalować żadnych innych pakietów.

Aby używać baz danych stworzonych przy pomocy starszej wersji SQLite
(2.x) należy zainstalować pakiet perl-DBD-SQLite2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# honour USE_LOCAL_SQLITE instead of using bundled sqlite3 (see comments inside)
%{__perl} -pi -e 's/if \( 0 \)/if ( 1 )/' Makefile.PL

%build
echo y | %{__perl} Makefile.PL \
	%{!?with_system_sqlite3:USE_LOCAL_SQLITE=1} \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmcflags} %{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/DBD/SQLite/Cookbook.pod
# "sqlite3 amalgamation" sources
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorarch}/auto/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite.pm
%dir %{perl_vendorarch}/auto/DBD/SQLite
%{perl_vendorarch}/auto/DBD/SQLite/SQLite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite/SQLite.so
%{_mandir}/man3/DBD::SQLite.3pm*
%{_mandir}/man3/DBD::SQLite::Cookbook.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-SQLite.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 686abd6
- updated to 1.39

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6e9972a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Oct 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c9bdf3
- updated to 1.37
- core dumping seems no longer valid; default to system sqlite3, added bcond

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 2be436d
- up to 1.35

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> 23f2f46
- Up to 1.31

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 433974c
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 036dbe2
- release 2

* Wed Nov 25 2009 sparky <sparky@pld-linux.org> b3733e1
- BR: perl-Encode for tests
- perl-DBI required even without tests
- use rpmldflags

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 552ae03
- updated to 1.25

* Wed Aug 06 2008 radek <radek@pld-linux.org> e7eca6c
- release 5 (rebuild for DBI 1.607)

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> ea19bb6
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 3822170
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e46f952
- rel 3

* Sun Jan 13 2008 radek <radek@pld-linux.org> d18b614
- release 2: use bundled sqlite (dumps core *sometimes* when linked with 3.5.4)
- minor cleanup

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 48d065f
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Nov 19 2007 hawk <hawk@pld-linux.org> ff7f5bc
- updated to 1.14

* Sun Sep 09 2007 radek <radek@pld-linux.org> d9c99d8
- version 1.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6bffd69
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d6aae8
- converted to UTF-8

* Mon Jun 26 2006 areq <areq@pld-linux.org> 0ffbcb0
- 1.12

